Skip to main content
Api

Conversations

List recent agent conversations

GET
/conversations

Authorization

bearerClerk
AuthorizationBearer <token>

Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....

In: header

Query Parameters

agent?string

Filter by agent slug

tier?string

Filter by tier: Premier, VIP, Value

channel?string

Filter by channel: app, WhatsApp, web

search?string

Search in title/agent

limit?integer

Max items (default 50, max 200)

Formatint64

Response Body

application/json

application/problem+json

curl -X GET "https://loading/api/v1/conversations"
{
  "$schema": "/api/v1/schemas/ListConversationsResponse.json",
  "conversations": [
    {
      "agent": "string",
      "agent_name": "string",
      "channel": "string",
      "cost_usd": 0.1,
      "created_at": "2019-08-24T14:15:22Z",
      "handoffs": [
        {
          "from": "string",
          "to": "string",
          "when": "string"
        }
      ],
      "id": "string",
      "last_activity": "2019-08-24T14:15:22Z",
      "last_message": "string",
      "model": "string",
      "status": "string",
      "tags": [
        "string"
      ],
      "tier": "string",
      "title": "string"
    }
  ],
  "total": 0
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}